Open CASCADE Technology: StepFEA_FeaGroup Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepFEA_FeaGroup Class Reference

Representation of STEP entity FeaGroup. More...

`#include <StepFEA_FeaGroup.hxx>`

Inheritance diagram for StepFEA_FeaGroup:
[legend]

## Public Member Functions
| StepFEA_FeaGroup ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aGroup_Name, const Handle< TCollection_HAsciiString > &aGroup_Description, const Handle< StepFEA_FeaModel > &aModelRef)
| Initialize all fields (own and inherited) More...
Handle< StepFEA_FeaModel > | ModelRef () const
| Returns field ModelRef. More...
void | SetModelRef (const Handle< StepFEA_FeaModel > &ModelRef)
| Set field ModelRef. More...
Public Member Functions inherited from StepBasic_Group
| StepBasic_Group ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aName, const Standard_Boolean hasDescription, const Handle< TCollection_HAsciiString > &aDescription)
| Initialize all fields (own and inherited) More...
Handle< TCollection_HAsciiString > | Name () const
| Returns field Name. More...
void | SetName (const Handle< TCollection_HAsciiString > &Name)
| Set field Name. More...
Handle< TCollection_HAsciiString > | Description () const
| Returns field Description. More...
void | SetDescription (const Handle< TCollection_HAsciiString > &Description)
| Set field Description. More...
Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity FeaGroup.

## Constructor & Destructor Documentation

StepFEA_FeaGroup::StepFEA_FeaGroup | ( |  | ) |

Empty constructor.

## Member Function Documentation

void StepFEA_FeaGroup::Init | ( | const Handle< TCollection_HAsciiString > & | aGroup_Name,
|  | const Handle< TCollection_HAsciiString > & | aGroup_Description,
|  | const Handle< StepFEA_FeaModel > & | aModelRef
| ) |  |

Initialize all fields (own and inherited)

Handle< StepFEA_FeaModel > StepFEA_FeaGroup::ModelRef | ( |  | ) | const

Returns field ModelRef.

void StepFEA_FeaGroup::SetModelRef | ( | const Handle< StepFEA_FeaModel > & | ModelRef | ) |

Set field ModelRef.

The documentation for this class was generated from the following file:

- StepFEA_FeaGroup.hxx